<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String portletResourceNamespace = ParamUtil.getString(request, "portletResourceNamespace");

long structureId = ParamUtil.getLong(request, "structureId");
String className = ParamUtil.getString(request, "className");
String script = ParamUtil.getString(request, "script");
String fieldsJSONArrayString = ParamUtil.getString(request, "fieldsJSONArrayString");

scopeAvailableFields = ParamUtil.getString(request, "scopeAvailableFields");
scopeClassNameId = PortalUtil.getClassNameId(className);
scopeStorageType = ParamUtil.getString(request, "storageType");

DDMStructure structure = null;

if (structureId > 0) {
	structure = DDMStructureServiceUtil.getStructure(structureId);
}

Portlet portlet = PortletLocalServiceUtil.getPortletById(company.getCompanyId(), portletDisplay.getId());
%>

<liferay-util:html-top>
	<link href="<%= PortalUtil.getStaticResourceURL(request, PortalUtil.getPathProxy() + application.getContextPath() + "/css/main.css", portlet.getTimestamp()) %>" rel="stylesheet" type="text/css" />
</liferay-util:html-top>

<%@ include file="/form_builder.jspf" %>